/// <reference types="react" />
import type { SelectOptionType } from './Select';
declare type SelectContext = {
    isOpen: boolean;
    setIsOpen: React.Dispatch<React.SetStateAction<boolean>>;
    selected: SelectOptionType | null;
    setSelected: React.Dispatch<React.SetStateAction<SelectOptionType | null>>;
};
export declare const SelectContext: import("react").Context<SelectContext>;
declare const SelectProvider: ({ children }: {
    children: React.ReactNode;
}) => import("@emotion/react/jsx-runtime").JSX.Element;
export default SelectProvider;
